Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.dojo.components
Class AbstractRemoteBean

    java.lang.Object
      org.apache.struts2.components.Component
          org.apache.struts2.components.UIBean
              org.apache.struts2.components.ClosingUIBean
                  org.apache.struts2.dojo.components.AbstractRemoteBean

All Implemented Interfaces:
  RemoteBean

Direct Known Subclasses:
  AbstractValidateBean, Div

    public abstract class AbstractRemoteBean

extends ClosingUIBean
implements RemoteBean

AbstractRemoteCallUIBean is superclass for all components dealing with remote calls.

Field Summary
`protected String` | `afterNotifyTopics`
`protected String` | `beforeNotifyTopics`
`protected String` | `errorNotifyTopics`
`protected String` | `errorText`
`protected String` | `executeScripts`
`protected String` | `formFilter`
`protected String` | `formId`
`protected String` | `handler`
`protected String` | `highlightColor`
`protected String` | `highlightDuration`
`protected String` | `href`
`protected String` | `indicator`
`protected String` | `listenTopics`
`protected String` | `loadingText`
`protected String` | `notifyTopics`
`protected String` | `parseContent`
`protected String` | `separateScripts`
`protected String` | `showErrorTransportText`
`protected String` | `showLoadingText`
`protected String` | `transport`

Fields inherited from class org.apache.struts2.components.UIBean
`accesskey, cssClass, cssErrorClass, cssErrorStyle, cssStyle, defaultTemplateDir, defaultUITheme, disabled, dynamicAttributes, errorPosition, id, javascriptTooltip, key, label, labelPosition, labelSeparator, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, request, requiredLabel, requiredPosition, response, tabindex, template, templateDir, templateEngineManager, templateSuffix, theme, title, tooltip, tooltipConfig, tooltipCssClass, tooltipDelay, tooltipIconPath, uiThemeExpansionToken, value`

Fields inherited from class org.apache.struts2.components.Component
`actionMapper, COMPONENT_STACK, devMode, parameters, stack, standardAttributesMap, throwExceptionOnELFailure`

Constructor Summary
`AbstractRemoteBean(com.opensymphony.xwork2.util.ValueStack stack, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Method Summary
`void` | `evaluateExtraParams()`
`String` | `getTheme()`
`void` | `setAfterNotifyTopics(String afterNotifyTopics)`
`void` | `setBeforeNotifyTopics(String beforeNotifyTopics)`
`void` | `setCssClass(String cssClass)`
`void` | `setCssStyle(String cssStyle)`
`void` | `setErrorNotifyTopics(String errorNotifyTopics)`
`void` | `setErrorText(String errorText)`
`void` | `setExecuteScripts(String executeScripts)`
`void` | `setFormFilter(String formFilter)`
`void` | `setFormId(String formId)`
`void` | `setHandler(String handler)`
`void` | `setHighlightColor(String highlightColor)`
`void` | `setHighlightDuration(String highlightDuration)`
`void` | `setHref(String href)`
`void` | `setId(String id)`
`void` | `setIndicator(String indicator)`
`void` | `setListenTopics(String listenTopics)`
`void` | `setLoadingText(String loadingText)`
`void` | `setName(String name)`
`void` | `setNotifyTopics(String notifyTopics)`
`void` | `setParseContent(String parseContent)`
`void` | `setSeparateScripts(String separateScripts)`
`void` | `setShowErrorTransportText(String showError)`
`void` | `setShowLoadingText(String showLoadingText)`
`void` | `setTheme(String theme)`
`void` | `setTransport(String transport)`

Methods inherited from class org.apache.struts2.components.ClosingUIBean
`getDefaultOpenTemplate, setOpenTemplate, start`

Methods inherited from class org.apache.struts2.components.UIBean
`addFormParameter, buildTemplateName, copyParams, enableAncestorFormCustomOnsubmit, end, ensureAttributeSafelyNotEscaped, escape, evaluateNameValue, evaluateParams, getDefaultTemplate, getId, getTemplate, getTemplateDir, getTooltipConfig, getValueClassType, mergeTemplate, populateComponentHtmlId, setAccesskey, setClass, setCssErrorClass, setCssErrorStyle, setDefaultTemplateDir, setDefaultUITheme, setDisabled, setDynamicAttributes, setErrorPosition, setJavascriptTooltip, setKey, setLabel, setLabelposition, setLabelSeparator, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequiredLabel, setRequiredPosition, setStyle, setTabindex, setTemplate, setTemplateDir, setTemplateEngineManager, setTitle, setTooltip, setTooltipConfig, setTooltipCssClass, setTooltipDelay, setTooltipIconPath, setUIThemeExpansionToken, setValue`

Methods inherited from class org.apache.struts2.components.Component
`addAllParameters, addParameter, altSyntax, completeExpressionIfAltSyntax, determineActionURL, determineNamespace, end, fieldError, findAncestor, findString, findString, findStringIfAltSyntax, findValue, findValue, findValue, getComponentStack, getParameters, getStack, getStandardAttributes, isValidTagAttribute, popComponentStack, setActionMapper, setDevMode, setThrowExceptionsOnELFailure, setUrlHelper, stripExpressionIfAltSyntax, toString, usesBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### href

    protected String href

### errorText

    protected String errorText

### executeScripts

    protected String executeScripts

### loadingText

    protected String loadingText

### listenTopics

    protected String listenTopics

### handler

    protected String handler

### formId

    protected String formId

### formFilter

    protected String formFilter

### notifyTopics

    protected String notifyTopics

### showErrorTransportText

    protected String showErrorTransportText

### indicator

    protected String indicator

### showLoadingText

    protected String showLoadingText

### beforeNotifyTopics

    protected String beforeNotifyTopics

### afterNotifyTopics

    protected String afterNotifyTopics

### errorNotifyTopics

    protected String errorNotifyTopics

### highlightColor

    protected String highlightColor

### highlightDuration

    protected String highlightDuration

### separateScripts

    protected String separateScripts

### transport

    protected String transport

### parseContent

    protected String parseContent

Constructor Detail

### AbstractRemoteBean

    public AbstractRemoteBean(com.opensymphony.xwork2.util.ValueStack stack,
                              javax.servlet.http.HttpServletRequest request,
                              javax.servlet.http.HttpServletResponse response)

Method Detail

### evaluateExtraParams

    public void evaluateExtraParams()

  Overrides:
    `evaluateExtraParams` in class `UIBean`

### setTheme

    public void setTheme(String theme)

  Overrides:
    `setTheme` in class `UIBean`

### getTheme

    public String getTheme()

  Overrides:
    `getTheme` in class `UIBean`

### setListenTopics

    public void setListenTopics(String listenTopics)

  Specified by:
    `setListenTopics` in interface `RemoteBean`

### setHref

    public void setHref(String href)

  Specified by:
    `setHref` in interface `RemoteBean`

### setErrorText

    public void setErrorText(String errorText)

  Specified by:
    `setErrorText` in interface `RemoteBean`

### setExecuteScripts

    public void setExecuteScripts(String executeScripts)

  Specified by:
    `setExecuteScripts` in interface `RemoteBean`

### setLoadingText

    public void setLoadingText(String loadingText)

  Specified by:
    `setLoadingText` in interface `RemoteBean`

### setHandler

    public void setHandler(String handler)

  Specified by:
    `setHandler` in interface `RemoteBean`

### setFormFilter

    public void setFormFilter(String formFilter)

  Specified by:
    `setFormFilter` in interface `RemoteBean`

### setFormId

    public void setFormId(String formId)

  Specified by:
    `setFormId` in interface `RemoteBean`

### setNotifyTopics

    public void setNotifyTopics(String notifyTopics)

  Specified by:
    `setNotifyTopics` in interface `RemoteBean`

### setShowErrorTransportText

    public void setShowErrorTransportText(String showError)

  Specified by:
    `setShowErrorTransportText` in interface `RemoteBean`

### setIndicator

    public void setIndicator(String indicator)

  Specified by:
    `setIndicator` in interface `RemoteBean`

### setShowLoadingText

    public void setShowLoadingText(String showLoadingText)

  Specified by:
    `setShowLoadingText` in interface `RemoteBean`

### setCssClass

    public void setCssClass(String cssClass)

  Specified by:
    `setCssClass` in interface `RemoteBean`
  Overrides:
    `setCssClass` in class `UIBean`

### setCssStyle

    public void setCssStyle(String cssStyle)

  Specified by:
    `setCssStyle` in interface `RemoteBean`
  Overrides:
    `setCssStyle` in class `UIBean`

### setId

    public void setId(String id)

  Overrides:
    `setId` in class `UIBean`

### setName

    public void setName(String name)

  Specified by:
    `setName` in interface `RemoteBean`
  Overrides:
    `setName` in class `UIBean`

### setAfterNotifyTopics

    public void setAfterNotifyTopics(String afterNotifyTopics)

  Specified by:
    `setAfterNotifyTopics` in interface `RemoteBean`

### setBeforeNotifyTopics

    public void setBeforeNotifyTopics(String beforeNotifyTopics)

  Specified by:
    `setBeforeNotifyTopics` in interface `RemoteBean`

### setErrorNotifyTopics

    public void setErrorNotifyTopics(String errorNotifyTopics)

  Specified by:
    `setErrorNotifyTopics` in interface `RemoteBean`

### setHighlightColor

    public void setHighlightColor(String highlightColor)

  Specified by:
    `setHighlightColor` in interface `RemoteBean`

### setHighlightDuration

    public void setHighlightDuration(String highlightDuration)

  Specified by:
    `setHighlightDuration` in interface `RemoteBean`

### setSeparateScripts

    public void setSeparateScripts(String separateScripts)

  Specified by:
    `setSeparateScripts` in interface `RemoteBean`

### setTransport

    public void setTransport(String transport)

  Specified by:
    `setTransport` in interface `RemoteBean`

### setParseContent

    public void setParseContent(String parseContent)

  Specified by:
    `setParseContent` in interface `RemoteBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.